'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

const index = require('./index-9564483d.js');
const dataTestIds_enum = require('./dataTestIds.enum-f00213b8.js');
const sidePanel_types = require('./side-panel.types-b0e2ac95.js');
const LedgerConnectBase = require('./LedgerConnectBase-1dd17cea.js');
require('./EventBus-1890a8f3.js');

const ledgerConnectPanelCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.flex{display:flex}.ledger-connect-content{display:flex;flex-direction:column;height:100%;padding:24px}.ledger-connect-header{margin-bottom:24px}.ledger-connect-header h2{color:#000;font-size:24px;font-weight:500;margin:0 0 8px}.ledger-connect-header h4{color:#666;font-size:16px;font-weight:400;margin:0}.ledger-connect-body{flex:1;overflow-y:auto}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}.hidden{display:none}";
const LedgerConnectPanelStyle0 = ledgerConnectPanelCss;

const LedgerConnectPanel = class {
    constructor(hostRef) {
        index.registerInstance(this, hostRef);
        this.data = {
            accountScreenData: null,
            confirmScreenData: null,
            connectScreenData: {},
        };
        this.isOpen = false;
        this.selectedIndex = 0;
    }
    componentWillLoad() {
        this.ledgerConnectBase = new LedgerConnectBase.LedgerConnectBase(this.data);
    }
    componentDidLoad() {
        this.ledgerConnectBase.subscribeEventBus(this.getEventBusSubscription());
        this.ledgerConnectBase.eventBus.subscribe(LedgerConnectBase.LedgerConnectEventsEnum.OPEN_LEDGER_CONNECT_PANEL, this.handleOpen.bind(this));
        this.ledgerConnectBase.eventBus.subscribe(LedgerConnectBase.LedgerConnectEventsEnum.CLOSE_LEDGER_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        this.ledgerConnectBase.unsubscribeEventBus(this.getEventBusSubscription());
        this.ledgerConnectBase.eventBus.unsubscribe(LedgerConnectBase.LedgerConnectEventsEnum.OPEN_LEDGER_CONNECT_PANEL, this.handleOpen.bind(this));
        this.ledgerConnectBase.eventBus.unsubscribe(LedgerConnectBase.LedgerConnectEventsEnum.CLOSE_LEDGER_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    handleConnect() {
        this.ledgerConnectBase.eventBus.publish(LedgerConnectBase.LedgerConnectEventsEnum.CONNECT_DEVICE);
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        if (props.isUserClick) {
            this.ledgerConnectBase.eventBus.publish(LedgerConnectBase.LedgerConnectEventsEnum.CLOSE_LEDGER_CONNECT_PANEL);
        }
    }
    accessWallet() {
        this.ledgerConnectBase.accessWallet();
    }
    selectAccount(index) {
        this.ledgerConnectBase.selectAccount(index);
        this.selectedIndex = this.ledgerConnectBase.selectedIndex;
    }
    async nextPage() {
        this.ledgerConnectBase.nextPage();
    }
    async prevPage() {
        this.ledgerConnectBase.prevPage();
    }
    async getEventBus() {
        return this.ledgerConnectBase.getEventBus();
    }
    getEventBusSubscription() {
        return {
            closeFn: () => this.onClose({ isUserClick: false }),
            forceUpdateFn: () => {
                this.data = this.ledgerConnectBase.data;
                index.forceUpdate(this);
            },
        };
    }
    getHeaderContent(accountScreenData, confirmScreenData) {
        if (accountScreenData) {
            return (index.h("div", { class: "ledger-connect-header" }, index.h("h2", { "data-testid": `${dataTestIds_enum.DataTestIdsEnum.addressTableContainer}Title` }, "Access your wallet"), index.h("h4", { "data-testid": `${dataTestIds_enum.DataTestIdsEnum.addressTableContainer}SubTitle` }, "Choose the wallet you want to access")));
        }
        if (confirmScreenData) {
            return (index.h("div", { class: "ledger-connect-header" }, index.h("h2", null, "Confirm"), index.h("h4", null, "Confirm Ledger Address")));
        }
        return (index.h("div", { class: "ledger-connect-header" }, index.h("h2", null, "Connect Ledger"), index.h("h4", null, "Unlock your device & open the MultiversX App")));
    }
    getBodyContent(accountScreenData, confirmScreenData, connectScreenData) {
        if (accountScreenData) {
            return (index.h("ledger-account-screen", { accountScreenData: accountScreenData, selectedIndex: this.selectedIndex, onSelectAccount: (event) => this.selectAccount(event.detail), onAccessWallet: () => this.accessWallet(), onPrevPage: () => this.prevPage(), onNextPage: () => this.nextPage() }));
        }
        if (confirmScreenData) {
            return index.h("ledger-confirm-screen", { confirmScreenData: confirmScreenData });
        }
        return index.h("ledger-connect-screen", { connectScreenData: connectScreenData, onConnect: this.handleConnect.bind(this) });
    }
    render() {
        const { accountScreenData, confirmScreenData, connectScreenData } = this.data;
        const bodyContent = this.getBodyContent(accountScreenData, confirmScreenData, connectScreenData);
        return (index.h("side-panel", { key: '61f6ac27dfaa913602f4360bec2148ac680e0610', isOpen: this.isOpen, side: sidePanel_types.SidePanelSideEnum.RIGHT, panelClassName: "ledger-connect-panel", onClose: this.handleClose.bind(this) }, index.h("div", { key: 'd5b9378f20e2708ebb26fa33bc53920adde09959', class: "ledger-connect-content" }, this.getHeaderContent(accountScreenData, confirmScreenData), index.h("div", { key: 'd757bffec0c29e58d0dc1b7706098dec3fe94bb7', class: "ledger-connect-body" }, bodyContent))));
    }
};
LedgerConnectPanel.style = LedgerConnectPanelStyle0;

exports.ledger_connect_panel = LedgerConnectPanel;

//# sourceMappingURL=ledger-connect-panel.cjs.entry.js.map