import { h } from "@stencil/core";
import state from "../../../../signTransactionsPanelStore";
export class TransactionFeeComponent {
    constructor() {
        this.showGasOptions = false;
        this.toggleGasOptions = () => {
            this.showGasOptions = !this.showGasOptions;
        };
        this.handlePpuChange = (value) => () => {
            state.onSetPpu(value);
        };
    }
    render() {
        const { egldLabel, feeInFiatLimit, feeLimit, gasLimit, gasPrice, ppu, isEditable, ppuOptions } = state.commonData;
        return (h("div", { key: 'b57318b69d0919e2e14116ed7d3c0c37521cab0f', class: "transaction-fee-container" }, h("div", { key: 'b7ebd74890f1c4d547e89b76d8c04a1a8cb278cd', class: "fee-header" }, h("p", { key: 'ceaa12935d5a9bd4ce1d4dee0f809ba07325ddc9' }, "Transaction fee"), isEditable && (h("button", { key: '43bdad306cbf0e4511047206a23a5e4b97c2b680', onClick: this.toggleGasOptions, class: "edit-button" }, "Edit"))), feeLimit && (h("p", { key: '32434efec8032850b93a9c9bf0cdc559741634a8' }, h("span", { key: '913f9becc19f3befcbc6f4e96be27ed5c69fe92f' }, feeLimit), "\u00A0", h("span", { key: '735bbf14d61fa0fdee7b93ee4a6157a1a3c1f444' }, egldLabel))), h("p", { key: 'e9c957f3905d4175b311202ea330f2bee58ae385' }, "\u2248", feeInFiatLimit), this.showGasOptions && (h("div", { key: 'c644dde973f3edd9142180ec24bbc841d2f57618', class: "gas-options" }, h("div", { key: 'a99f5252a9ae8ec0d0b925df1239647f1553ca90', class: "top-section" }, h("div", { key: '9f7286d77376d3b0527b333fc5b18b1d361f5478', class: "gas-price-section" }, h("div", { key: '5acab8a0dd2da79a4268ca06bb2212d51c7499d2', class: "label" }, "Gas Price"), h("div", { key: 'b3a71cdebfc953fa8305e7145c65e3e906cea5e5', class: "value" }, gasPrice)), ppuOptions && ppuOptions.length > 0 && (h("div", { key: '5eb2536ebb03f5124d797dedc89987fbd648df12', class: "radio-group" }, ppuOptions.map(option => (h("div", { class: "radio-option" }, h("input", { disabled: !isEditable, type: "radio", id: `ppu${option.value}`, name: "ppu", value: option.value, checked: ppu === option.value, onChange: this.handlePpuChange(option.value) }), h("label", { htmlFor: `ppu${option.value}` }, option.label))))))), h("div", { key: 'ed8d28ce3864dd9774f55680422e12a194de4550', class: "gas-limit-section" }, h("div", { key: 'a7b3ae44dbdcdf4619ef481de37cd1594be951f2', class: "label" }, "Gas Limit"), h("div", { key: '5c881798325e493129bc4c5cb196327ad14c9176', class: "value" }, gasLimit))))));
    }
    static get is() { return "transaction-fee-component"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["transaction-fee-component.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["transaction-fee-component.css"]
        };
    }
    static get states() {
        return {
            "showGasOptions": {}
        };
    }
}
//# sourceMappingURL=transaction-fee-component.js.map
