import { faTimes } from "@fortawesome/free-solid-svg-icons";
import { h } from "@stencil/core";
import classNames from "classnames";
import { DataTestIdsEnum } from "../../../../../../../constants/dataTestIds.enum";
import { getIconHtmlFromIconDefinition } from "../../../../../../../utils/icons/getIconHtmlFromIconDefinition";
import { getIconHtmlFromIconName } from "../../../../../../../utils/icons/getIconHtmlFromIconName";
export class SimpleToast {
    render() {
        const { icon, iconClassName, title, message, subtitle } = this.toast;
        let iconHtml = null;
        if (typeof icon === 'string') {
            iconHtml = getIconHtmlFromIconName(icon);
        }
        if (icon instanceof HTMLElement) {
            iconHtml = icon.outerHTML;
        }
        return (h("transaction-toast-wrapper", { key: 'b7ede16fe0f1cf5eaec45a6cca861a10d96af032', wrapperId: `toast-${this.toast.toastId}` }, h("div", { key: '98ee6375567f04cb2f180ef191cfbf3af4452805', class: "content", "data-testid": DataTestIdsEnum.transactionToastContent }, iconHtml && (h("div", { key: '302eebf6a9602c0e633faf38ec9e1940d7871393', class: classNames('content-left', { 'no-icon': !iconHtml }) }, h("div", { key: 'fcb11f1058bd4505749c65e9abe35b890eb4e647', class: classNames('content-icon', iconClassName), innerHTML: iconHtml }))), h("div", { key: '88c7f435143bf18f1f4ff151abad894980e73a42', class: "content-right" }, title && (h("div", { key: '96ac69b91db60dfafdd84193b05d79b4868353b4', class: "content-heading" }, h("h5", { key: '350acc6c9f373b7be5051e5b01f4a0b3e4e95353', class: "content-heading-title", "data-testid": DataTestIdsEnum.transactionToastTitle }, title))), h("button", { key: '96ec1169f89049b237f4e80f69170c4e4489c91b', onClick: () => this.handleDeleteToast.emit(), type: "button", class: "icon-close", innerHTML: getIconHtmlFromIconDefinition(faTimes) }), subtitle && h("div", { key: '1eb365f7a5fc37fb5725b5c5448ce7d7e27bf81f', class: "subtitle" }, subtitle), message && h("div", { key: '87f676923e36085342df711bdfdf8552d3faa5d3', class: classNames('content-message', { 'no-margin': !title && !subtitle }) }, message)))));
    }
    static get is() { return "simple-toast"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["simple-toast.css"]
        };
    }
    static get properties() {
        return {
            "toast": {
                "type": "unknown",
                "mutable": false,
                "complexType": {
                    "original": "ISimpleToast",
                    "resolved": "ISimpleToast",
                    "references": {
                        "ISimpleToast": {
                            "location": "import",
                            "path": "components/functional/toasts-list/components/transaction-toast/transaction-toast.type",
                            "id": "src/components/functional/toasts-list/components/transaction-toast/transaction-toast.type.ts::ISimpleToast"
                        }
                    }
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false
            }
        };
    }
    static get events() {
        return [{
                "method": "handleDeleteToast",
                "name": "handleDeleteToast",
                "bubbles": true,
                "cancelable": true,
                "composed": true,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "complexType": {
                    "original": "void",
                    "resolved": "void",
                    "references": {}
                }
            }];
    }
}
//# sourceMappingURL=simple-toast.js.map
