import { r as registerInstance, c as createEvent, h } from './index-fb899b9a.js';

const GenericToast = class {
    constructor(hostRef) {
        registerInstance(this, hostRef);
        this.handleDeleteToast = createEvent(this, "handleDeleteToast", 7);
    }
    render() {
        const isComponentToast = 'instantiateToastElement' in this.toast;
        if (isComponentToast) {
            return h("custom-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
        }
        return h("simple-toast", { toast: this.toast, onHandleDeleteToast: () => this.handleDeleteToast.emit(this.toast.toastId) });
    }
};

export { GenericToast as generic_toast };

//# sourceMappingURL=generic-toast.entry.js.map