import { h, F as Fragment, p as proxyCustomElement, H } from './p-3b962989.js';
import { d as defineCustomElement$1 } from './p-ad9b744f.js';

// types here need to be synced with the types in sdk-dapp-core providerFactory.types.ts
var ProviderTypeEnum;
(function (ProviderTypeEnum) {
    ProviderTypeEnum["crossWindow"] = "crossWindow";
    ProviderTypeEnum["extension"] = "extension";
    ProviderTypeEnum["walletConnect"] = "walletConnect";
    ProviderTypeEnum["ledger"] = "ledger";
    ProviderTypeEnum["metamask"] = "metamask";
    ProviderTypeEnum["passkey"] = "passkey";
})(ProviderTypeEnum || (ProviderTypeEnum = {}));

const providerButtonCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.block{display:block}.flex{display:flex}.hidden{display:none}.border{border-width:1px}.transition{transition-duration:.15s;transition-property:color,background-color,border-color,text-decoration-color,fill,stroke,opacity,box-shadow,transform,filter,backdrop-filter;transition-timing-function:cubic-bezier(.4,0,.2,1)}:host{display:block;width:100%}.connect-button{align-items:center;background:#fff;border-radius:12px;box-shadow:0 2px 6px rgba(0,0,0,.05);cursor:pointer;display:flex;padding:12px;transition:background .3s ease}.connect-button:hover{background:#fafafa}.connect-icon{align-items:center;border:1px solid #ebe5df;border-radius:8px;display:flex;height:40px;justify-content:center;overflow:hidden;width:40px}.connect-icon img{height:100%;-o-object-fit:cover;object-fit:cover;width:100%}.connect-label{flex:1;font-size:16px;font-weight:500;margin-left:12px}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}";
const ProviderButtonStyle0 = providerButtonCss;

const providerButtonInfo = {
    [ProviderTypeEnum.extension]: {
        icon: h(Fragment, null),
        label: 'MultiversX Wallet Extension',
    },
    [ProviderTypeEnum.metamask]: {
        icon: h(Fragment, null),
        label: 'Metamask Snap',
    },
    [ProviderTypeEnum.passkey]: {
        icon: h(Fragment, null),
        label: 'Passkey',
    },
    [ProviderTypeEnum.walletConnect]: {
        icon: h(Fragment, null),
        label: 'xPortal Wallet',
    },
    [ProviderTypeEnum.ledger]: {
        icon: h(Fragment, null),
        label: 'Ledger',
    },
    [ProviderTypeEnum.crossWindow]: {
        icon: h(Fragment, null),
        label: 'MultiversX Web Wallet',
    },
};
const ProviderButton = /*@__PURE__*/ proxyCustomElement(class ProviderButton extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
    }
    render() {
        const walletInfo = this.type ? providerButtonInfo[this.type] : null;
        if (!walletInfo) {
            return h(Fragment, null);
        }
        return h("unlock-button", { icon: walletInfo.icon, label: walletInfo.label });
    }
    static get style() { return ProviderButtonStyle0; }
}, [1, "provider-button", {
        "type": [1]
    }]);
function defineCustomElement() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["provider-button", "unlock-button"];
    components.forEach(tagName => { switch (tagName) {
        case "provider-button":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, ProviderButton);
            }
            break;
        case "unlock-button":
            if (!customElements.get(tagName)) {
                defineCustomElement$1();
            }
            break;
    } });
}

export { ProviderButton as P, ProviderTypeEnum as a, defineCustomElement as d };

//# sourceMappingURL=p-e7d004d2.js.map