import { p as proxyCustomElement, H, f as forceUpdate, h } from './p-3b962989.js';
import { S as SidePanelSideEnum, d as defineCustomElement$2 } from './p-b25b8108.js';
import { E as EventBus } from './p-9d530225.js';
import { s as state, r as resetState } from './p-aa482dfd.js';
import { d as defineCustomElement$3 } from './p-97d2fbb6.js';

var SignEventsEnum;
(function (SignEventsEnum) {
    SignEventsEnum["CONFIRM"] = "CONFIRM";
    SignEventsEnum["BACK"] = "BACK";
    SignEventsEnum["DATA_UPDATE"] = "DATA_UPDATE";
    SignEventsEnum["SET_PPU"] = "SET_PPU";
    SignEventsEnum["OPEN_SIGN_TRANSACTIONS_PANEL"] = "OPEN_SIGN_TRANSACTIONS_PANEL";
    SignEventsEnum["CLOSE_SIGN_TRANSACTIONS_PANEL"] = "CLOSE_SIGN_TRANSACTIONS_PANEL";
})(SignEventsEnum || (SignEventsEnum = {}));

const signTransactionsPanelCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.flex{display:flex}*{box-sizing:border-box;margin:0;padding:0}.transaction-header-container{display:flex;flex-direction:column}.loading-spinner{align-items:center;display:flex;justify-content:center;min-height:350px}.sign-transactions-panel{background-color:#fff;box-shadow:0 4px 12px rgba(0,0,0,.15);max-width:100%;padding:0;width:450px}.sign-transactions-content{display:flex;flex-direction:column;height:100%;padding:24px}.sign-transactions-header{border-bottom:1px solid rgba(0,0,0,.1);margin-bottom:24px;padding-bottom:16px}.sign-transactions-header h2{font-size:20px;font-weight:600;margin-bottom:8px}.sign-transactions-header h4{color:rgba(0,0,0,.6);font-size:14px;font-weight:400}.sign-transactions-body{flex:1;overflow-y:auto}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}.hidden{display:none}";
const SignTransactionsPanelStyle0 = signTransactionsPanelCss;

const signScreens = {
    FungibleESDT: 'token-component',
    SemiFungibleESDT: 'fungible-component',
    NonFungibleESDT: 'fungible-component',
    MetaESDT: 'token-component',
};
const SignTransactionsPanel$1 = /*@__PURE__*/ proxyCustomElement(class SignTransactionsPanel extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.eventBus = new EventBus();
        this.isOpen = false;
        this.data = {
            commonData: {
                egldLabel: '',
                feeLimit: '',
                feeInFiatLimit: '',
                transactionsCount: 0,
                currentIndex: 0,
                ppuOptions: [],
            },
            tokenTransaction: null,
            nftTransaction: null,
            sftTransaction: null,
        };
    }
    componentWillLoad() {
        state.onCancel = () => {
            this.onClose({ isUserClick: true });
        };
        state.onConfirm = () => {
            this.eventBus.publish(SignEventsEnum.CONFIRM);
        };
        state.onBack = () => {
            this.eventBus.publish(SignEventsEnum.BACK);
        };
        state.onSetPpu = (ppu) => {
            this.eventBus.publish(SignEventsEnum.SET_PPU, ppu);
        };
    }
    componentDidLoad() {
        this.eventBus.subscribe(SignEventsEnum.DATA_UPDATE, this.dataUpdate.bind(this));
        this.eventBus.subscribe(SignEventsEnum.OPEN_SIGN_TRANSACTIONS_PANEL, this.handleOpen.bind(this));
        this.eventBus.subscribe(SignEventsEnum.CLOSE_SIGN_TRANSACTIONS_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        resetState();
        this.eventBus.unsubscribe(SignEventsEnum.DATA_UPDATE, this.dataUpdate.bind(this));
        this.eventBus.unsubscribe(SignEventsEnum.OPEN_SIGN_TRANSACTIONS_PANEL, this.handleOpen.bind(this));
        this.eventBus.unsubscribe(SignEventsEnum.CLOSE_SIGN_TRANSACTIONS_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        resetState();
        if (props.isUserClick) {
            this.eventBus.publish(SignEventsEnum.CLOSE_SIGN_TRANSACTIONS_PANEL);
        }
    }
    dataUpdate(payload) {
        this.data = Object.assign({}, payload);
        forceUpdate(this);
    }
    onDataChange(data) {
        for (const key in data) {
            if (Object.prototype.hasOwnProperty.call(state, key)) {
                state[key] = data[key];
            }
        }
        state.isWaitingForSignature = false;
        state.isLoading = false;
    }
    async getEventBus() {
        return this.eventBus;
    }
    render() {
        const { commonData, isLoading } = state;
        const { tokenType, currentIndex, transactionsCount } = commonData;
        const SignScreen = signScreens[tokenType];
        return (h("side-panel", { key: '04734c12b205e4a0b267eb0a2f2b6c8c1da55ca7', isOpen: this.isOpen, side: SidePanelSideEnum.LEFT, panelClassName: "sign-transactions-panel", onClose: this.handleClose.bind(this) }, h("div", { key: '6518b8af74d42bd68fd4498e1372284d0cb56590', class: "sign-transactions-content" }, h("div", { key: '939ff7bdffbbf5526385c4835c4b102b813e3dba', class: "sign-transactions-header" }, h("h2", { key: '357608208feb1e3d82f11b206ea7c080c99efacb' }, "Sign transaction"), h("h4", { key: 'b338927d272c1c71e967f608e305c46b0ef5b9bf' }, "Transaction ", currentIndex + 1, " of ", transactionsCount)), h("div", { key: 'bc29d1038ff2eaca2e515b0b17cf736e95ea26e3', class: "sign-transactions-body" }, isLoading ? (h("div", { class: "loading-spinner" }, h("generic-spinner", null))) : (h(SignScreen, null))))));
    }
    static get watchers() { return {
        "data": ["onDataChange"]
    }; }
    static get style() { return SignTransactionsPanelStyle0; }
}, [1, "sign-transactions-panel", {
        "data": [16],
        "isOpen": [32],
        "getEventBus": [64]
    }, undefined, {
        "data": ["onDataChange"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["sign-transactions-panel", "generic-spinner", "side-panel"];
    components.forEach(tagName => { switch (tagName) {
        case "sign-transactions-panel":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, SignTransactionsPanel$1);
            }
            break;
        case "generic-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const SignTransactionsPanel = SignTransactionsPanel$1;
const defineCustomElement = defineCustomElement$1;

export { SignTransactionsPanel, defineCustomElement };

//# sourceMappingURL=sign-transactions-panel.js.map