import { p as proxyCustomElement, H, f as forceUpdate, h } from './p-3b962989.js';
import { S as SidePanelSideEnum, d as defineCustomElement$3 } from './p-b25b8108.js';
import { D as DataTestIdsEnum } from './p-6e09b0ac.js';
import { W as WalletConnectBase, a as WalletConnectEventsEnum } from './p-4f179c2c.js';
import { d as defineCustomElement$4 } from './p-97d2fbb6.js';
import { d as defineCustomElement$2 } from './p-6b41dbe4.js';

const walletConnectPanelCss = "*,:after,:before{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;border:0 solid #e5e7eb;box-sizing:border-box}::backdrop{--tw-border-spacing-x:0;--tw-border-spacing-y:0;--tw-translate-x:0;--tw-translate-y:0;--tw-rotate:0;--tw-skew-x:0;--tw-skew-y:0;--tw-scale-x:1;--tw-scale-y:1;--tw-scroll-snap-strictness:proximity;--tw-ring-offset-width:0px;--tw-ring-offset-color:#fff;--tw-ring-color:rgba(59,130,246,.5);--tw-ring-offset-shadow:0 0 #0000;--tw-ring-shadow:0 0 #0000;--tw-shadow:0 0 #0000;--tw-shadow-colored:0 0 #0000;}/*! tailwindcss v3.4.17 | MIT License | https://tailwindcss.com*/:after,:before{--tw-content:\"\"}:host,html{-webkit-text-size-adjust:100%;font-feature-settings:normal;-webkit-tap-highlight-color:transparent;font-family:ui-sans-serif,system-ui,sans-serif,Apple Color Emoji,Segoe UI Emoji,Segoe UI Symbol,Noto Color Emoji;font-variation-settings:normal;line-height:1.5;-moz-tab-size:4;tab-size:4}body{line-height:inherit;margin:0}hr{border-top-width:1px;color:inherit;height:0}abbr:where([title]){text-decoration:underline dotted}h1,h2,h3,h4,h5,h6{font-size:inherit;font-weight:inherit}a{color:inherit;text-decoration:inherit}b,strong{font-weight:bolder}code,kbd,pre,samp{font-feature-settings:normal;font-family:ui-monospace,SFMono-Regular,Menlo,Monaco,Consolas,Liberation Mono,Courier New,monospace;font-size:1em;font-variation-settings:normal}small{font-size:80%}sub,sup{font-size:75%;line-height:0;position:relative;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}table{border-collapse:collapse;border-color:inherit;text-indent:0}button,input,optgroup,select,textarea{font-feature-settings:inherit;color:inherit;font-family:inherit;font-size:100%;font-variation-settings:inherit;font-weight:inherit;letter-spacing:inherit;line-height:inherit;margin:0;padding:0}button,select{text-transform:none}button,input:where([type=button]),input:where([type=reset]),input:where([type=submit]){-webkit-appearance:button;background-color:transparent;background-image:none}:-moz-focusring{outline:auto}:-moz-ui-invalid{box-shadow:none}progress{vertical-align:baseline}::-webkit-inner-spin-button,::-webkit-outer-spin-button{height:auto}[type=search]{-webkit-appearance:textfield;outline-offset:-2px}::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{-webkit-appearance:button;font:inherit}summary{display:list-item}blockquote,dd,dl,fieldset,figure,h1,h2,h3,h4,h5,h6,hr,p,pre{margin:0}fieldset,legend{padding:0}menu,ol,ul{list-style:none;margin:0;padding:0}dialog{padding:0}textarea{resize:vertical}input::placeholder,textarea::placeholder{color:#9ca3af;opacity:1}[role=button],button{cursor:pointer}:disabled{cursor:default}audio,canvas,embed,iframe,img,object,svg,video{display:block;vertical-align:middle}img,video{height:auto;max-width:100%}[hidden]:where(:not([hidden=until-found])){display:none}.flex{display:flex}.wallet-connect-container{align-items:center;box-sizing:border-box;display:flex;flex-direction:column;height:100%;padding:20px;width:100%}.wallet-connect-header{margin-bottom:20px;text-align:center;width:100%}.wallet-connect-header h2{font-size:1.5rem;font-weight:600;margin-bottom:8px}.wallet-connect-header h4{color:#666;font-size:1rem;font-weight:400;margin-top:0}:host ::slotted(wallet-connect-body){width:100%}:global(.wallet-connect-side-panel){max-width:90vw;width:380px}.static{position:static}.shadow{--tw-shadow:0 1px 3px 0 rgba(0,0,0,.1),0 1px 2px -1px rgba(0,0,0,.1);--tw-shadow-colored:0 1px 3px 0 var(--tw-shadow-color),0 1px 2px -1px var(--tw-shadow-color);box-shadow:var(--tw-ring-offset-shadow,0 0 #0000),var(--tw-ring-shadow,0 0 #0000),var(--tw-shadow)}.visible{visibility:visible}.hidden{display:none}";
const WalletConnectPanelStyle0 = walletConnectPanelCss;

const WalletConnectPanel$1 = /*@__PURE__*/ proxyCustomElement(class WalletConnectPanel extends H {
    constructor() {
        super();
        this.__registerHost();
        this.__attachShadow();
        this.data = {
            wcURI: '',
        };
        this.qrCodeSvg = '';
        this.isOpen = false;
        this.walletConnectBase = new WalletConnectBase(this.data);
    }
    componentDidLoad() {
        this.walletConnectBase.subscribeEventBus(this.getEventBusSubscription());
        this.walletConnectBase.eventBus.subscribe(WalletConnectEventsEnum.OPEN_WALLET_CONNECT_PANEL, this.handleOpen.bind(this));
        this.walletConnectBase.eventBus.subscribe(WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    disconnectedCallback() {
        this.walletConnectBase.unsubscribeEventBus(this.getEventBusSubscription());
        this.walletConnectBase.eventBus.unsubscribe(WalletConnectEventsEnum.OPEN_WALLET_CONNECT_PANEL, this.handleOpen.bind(this));
        this.walletConnectBase.eventBus.unsubscribe(WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL, this.onClose.bind(this, { isUserClick: false }));
    }
    handleOpen() {
        this.isOpen = true;
    }
    handleClose() {
        this.isOpen = false;
        this.onClose({ isUserClick: true });
    }
    onClose(props = { isUserClick: true }) {
        this.isOpen = false;
        if (props.isUserClick) {
            this.walletConnectBase.eventBus.publish(WalletConnectEventsEnum.CLOSE_WALLET_CONNECT_PANEL);
        }
    }
    async getEventBus() {
        return this.walletConnectBase.getEventBus();
    }
    getEventBusSubscription() {
        return {
            closeFn: () => this.onClose({ isUserClick: false }),
            forceUpdateFn: () => {
                this.data = this.walletConnectBase.data;
                forceUpdate(this);
            },
        };
    }
    async onDataChange(data) {
        if (data.wcURI) {
            this.qrCodeSvg = await this.walletConnectBase.generateSVG(data.wcURI);
        }
    }
    render() {
        return (h("side-panel", { key: '3e0659b82826620e0c582452ded2d427dab2bfc7', isOpen: this.isOpen, side: SidePanelSideEnum.RIGHT, panelClassName: "wallet-connect-side-panel", onClose: this.handleClose.bind(this) }, h("div", { key: '1272e5056f22a3dd3bb17e827c3698ecfd74ffcf', class: "wallet-connect-container" }, h("div", { key: '516467ca3a6ce970fe3879478325d6662637765f', class: "wallet-connect-header" }, h("h2", { key: '84c4649d0eca333be220db90c33edf7f32f3bb63', "data-testid": DataTestIdsEnum.walletConnetModalTitle }, "xPortal Mobile Wallet"), h("h4", { key: 'db16c0e9f4d90c745c2995b82519518d95d69588', "data-testid": DataTestIdsEnum.walletConnetModalSubtitle }, "Scan this QR code with your app")), h("wallet-connect-body", { key: 'f55b3a4811e48256691f6ce0ad47fd82a8452b20', qrCodeSvg: this.qrCodeSvg }))));
    }
    get hostElement() { return this; }
    static get watchers() { return {
        "data": ["onDataChange"]
    }; }
    static get style() { return WalletConnectPanelStyle0; }
}, [1, "wallet-connect-panel", {
        "data": [16],
        "qrCodeSvg": [32],
        "isOpen": [32],
        "getEventBus": [64]
    }, undefined, {
        "data": ["onDataChange"]
    }]);
function defineCustomElement$1() {
    if (typeof customElements === "undefined") {
        return;
    }
    const components = ["wallet-connect-panel", "generic-spinner", "side-panel", "wallet-connect-body"];
    components.forEach(tagName => { switch (tagName) {
        case "wallet-connect-panel":
            if (!customElements.get(tagName)) {
                customElements.define(tagName, WalletConnectPanel$1);
            }
            break;
        case "generic-spinner":
            if (!customElements.get(tagName)) {
                defineCustomElement$4();
            }
            break;
        case "side-panel":
            if (!customElements.get(tagName)) {
                defineCustomElement$3();
            }
            break;
        case "wallet-connect-body":
            if (!customElements.get(tagName)) {
                defineCustomElement$2();
            }
            break;
    } });
}

const WalletConnectPanel = WalletConnectPanel$1;
const defineCustomElement = defineCustomElement$1;

export { WalletConnectPanel, defineCustomElement };

//# sourceMappingURL=wallet-connect-panel.js.map